Package Details: marble-git 1.14.21.r11770.b52b6e3-1

Git Clone URL: https://aur.archlinux.org/marble-git.git (read-only)
Package Base: marble-git
Description: Desktop Globe. (GIT version)
Upstream URL: https://www.kde.org/applications/system/marble
Licenses: GPL
Groups: kde-applications, kdeedu
Conflicts: kdeedu-marble<15.04.3-3, marble, marble-qt
Provides: marble
Replaces: kdeedu-marble, marble-qt<15.07
Submitter: archtux
Maintainer: sl1pkn07
Last Packager: sl1pkn07
Votes: 6
Popularity: 0.002090
First Submitted: 2011-04-21 15:32
Last Updated: 2016-08-18 15:15

Dependencies (28)

Required by (19)

Sources (1)

Latest Comments

desaparecido commented on 2016-08-18 16:27

thanks for the quickly update of PKGBUILD ... all builds/install it fine ;-)

desaparecido commented on 2016-08-18 10:38

hi, file conflict when try to install it:

error: failed to commit transaction (conflicting files)
/usr/lib/cmake/Astro/AstroConfig.cmake exists in both 'libastro-git' and 'marble-git'
/usr/lib/cmake/Astro/AstroConfigVersion.cmake exists in both 'libastro-git' and 'marble-git'
/usr/lib/cmake/Astro/AstroTargets-release.cmake exists in both 'libastro-git' and 'marble-git'
/usr/lib/cmake/Astro/AstroTargets.cmake exists in both 'libastro-git' and 'marble-git'
Errors occurred, no packages were upgraded.

sl1pkn07 commented on 2015-10-04 21:24

try with

-DBUILD_MARBLE_EXAMPLES=OFF
-DBUILD_MARBLE_TOOLS=OFF

jat255 commented on 2015-10-04 20:52

Yeah, not sure, but I got it to work by using the following cmake options:

-DCMAKE_BUILD_TYPE=Release \
-DCMAKE_INSTALL_PREFIX=/usr \
-DCMAKE_INSTALL_LIBDIR=lib \
-DQTONLY=FALSE \
-DWITH_KF5=ON \

Following the instructions from https://marble.kde.org/sources.php

sl1pkn07 commented on 2015-10-04 20:15

sounds a problem with opencv and other dependency builded with it

jat255 commented on 2015-10-04 19:42

Having some trouble compiling this package. Seems to be some sort of error with the animation-video code. I'm guessing it's an upstream issue, but I figured I'd mention it here:

Scanning dependencies of target marble
[ 98%] Building CXX object examples/cpp/animation-video/CMakeFiles/animation-video.dir/animation-video_automoc.cpp.o
[ 98%] Linking CXX executable animation-video
[ 99%] Building CXX object src/apps/marble-kde/CMakeFiles/marble.dir/kdemain.cpp.o
[ 99%] Building CXX object examples/cpp/marble-game/CMakeFiles/marble-game.dir/CountryByShape.cpp.o
CMakeFiles/animation-video.dir/main.cpp.o: In function `animatedFlight(Marble::MarbleWidget*)':
main.cpp:(.text+0x21f): undefined reference to `cv::VideoWriter::VideoWriter(cv::String const&, int, double, cv::Size_<int>, bool)'
main.cpp:(.text+0x55a): undefined reference to `cv::VideoWriter::write(cv::Mat const&)'
main.cpp:(.text+0x651): undefined reference to `cv::VideoWriter::write(cv::Mat const&)'
main.cpp:(.text+0x712): undefined reference to `cv::VideoWriter::~VideoWriter()'
main.cpp:(.text+0x75f): undefined reference to `cv::VideoWriter::~VideoWriter()'
collect2: error: ld returned 1 exit status
examples/cpp/animation-video/CMakeFiles/animation-video.dir/build.make:143: recipe for target 'examples/cpp/animation-video/animation-video' failed
make[2]: *** [examples/cpp/animation-video/animation-video] Error 1
CMakeFiles/Makefile2:10630: recipe for target 'examples/cpp/animation-video/CMakeFiles/animation-video.dir/all' failed

sl1pkn07 commented on 2015-09-07 14:52

works with yaourt

http://sl1pkn07.wtf/paste/view/31543414

desaparecido commented on 2015-09-06 12:48

@sl1pkn07 ooooups.... I forgot it :p

-- Installing: /tmp/makepkg/marble-git/pkg/marble-data-git/usr/share/marble/data/audio/KDE-Sys-App-Positive.ogg
make: Leaving directory '/tmp/makepkg/marble-git/src/build/data'
==> Tidying install...
-> Purging unwanted files...
-> Removing libtool files...
-> Removing static library files...
-> Compressing man and info pages...
-> Stripping unneeded symbols from binaries and libraries...
==> Creating package "marble-data-git"...
-> Generating .PKGINFO file...
-> Adding install file...
-> Generating .MTREE file...
-> Compressing package...
==> Leaving fakeroot environment.
==> Finished making: marble-git v15.08.0.165.gaeaf2f9-1 (Sun 6 Sep 14:41:42 CEST 2015)
==> Installing marble-git package group with pacman -U...
[sudo] password for luis:
loading packages...
warning: libastro-git-v15.08.0.165.gaeaf2f9-1 is up to date -- reinstalling
error: '/home/luis/builds/appskf5/marble-git/marble-data-git-v15.08.0.165.gaeaf2f9-1-x86_64.pkg.tar.xz': could not find or read package
==> WARNING: Failed to install built package(s).
==> Cleaning up...

when try to install marble-data-git, it search for *x86_64.pkg.tar.xz and there are only *any.pkg.tar.xz for that package

sl1pkn07 commented on 2015-09-05 22:38

log please

desaparecido commented on 2015-09-05 18:55

hi, for successfully build and install I needed to comment line 121

package_marble-data-git() {
pkgdesc='Data for Marble'
# arch=('any') <<<<< this one

All comments